package com.huimv.admin.service;

import com.huimv.admin.common.utils.Result;
import com.huimv.admin.entity.ProtData;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author author
 * @since 2023-02-14
 */
public interface IProtDataService extends IService<ProtData> {

    Result list(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listProt(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listType(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);


    /*大屏环保监测*/
    Result listScreen(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listFlowScreen(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listAllScreen(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

//    Result listFlowScreen(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);
}
